import React from 'react'

import { IconButton } from '../components/IconButton'
import { Bell, X, Trash } from 'react-feather'

export default {
    title: 'Design System/Icon Button',
    component: IconButton
};

const Template = (args) => <IconButton {...args} />;

export const BellIcon = Template.bind({});
BellIcon.args = {
    icon: <Bell />
}

export const CrossIcon = Template.bind({});
CrossIcon.args = {
    icon: <X />
}

export const TrashIcon = Template.bind({});
TrashIcon.args = {
    icon: <Trash color={'#F95656'} />
}